Bug 70663 - All KDE pkgs cannot exec. because of missing symbol
All KDE pkgs cannot exec. because of missing symbol
Product: Red Hat Raw Hide
Classification: Retired
Component: Xft (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2002-08-03 10:38 EDT by Kim Bisgaard
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-03 16:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kim Bisgaard 2002-08-03 10:38:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
eg. kdm_greet: relocation error: /usr/lib/libXft.so.2: undefined symbol:
kde pkgs. are 3.0.2 from rawhide

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.fire up X with kde as desktop
2.nothing but complaints like in the description

Additional info:
Comment 1 Owen Taylor 2002-08-03 12:38:50 EDT
If you grab packages out of Raw Hide, you have to expect
to need to upgrade other packages as well ... looks like
you are missing the right freetype2 package.

I suppose there is probably a missing dependency of Xft on an
appropriate freetype version, unless you explicitely installed
some *other* freetype 2.1.2 package without Red Hat patches.
(The symbol is in freetype CVS, but not in a release yet.)
Comment 2 Preston Brown 2002-08-21 23:07:58 EDT
kde 3.0.3 pkgs are fine.
Comment 3 Owen Taylor 2002-08-22 07:51:07 EDT
(It wasn't a KDE package bug, but I've added a explicit dependency
on the right freetype version to fontconfig, so the bug should
be fixed now.)

Note You need to log in before you can comment on or make changes to this bug.